%define version 0.12
%define release 3mdk

Summary:	Web development studio
Name:		bluefish
Version:	%{version}
Release:	%{release}

URL:		http://bluefish.openoffice.nl/
License:	GPL
Group:		Networking/WWW
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://bluefish.openoffice.nl/download/%{name}-%{version}.tar.bz2

BuildRequires:	ImageMagick
BuildRequires:	gtk+2-devel >= 2.2.0
BuildRequires:	pcre-devel
BuildRequires:	gnome-vfs2-devel >= 2.2.0
BuildRequires:	aspell-devel
BuildRequires:	ispell
BuildRequires:	gettext

%description
Bluefish is a programmer's HTML editor, designed to save the experienced
webmaster some keystrokes.

It features a multiple file editor, multiple toolbars, custom menus, image
and thumbnail dialogs,  open from the web, HTML validation and lots of wizards.

It is in continuous development, but it's already one of the best WYSIWYG HTML
editors. 
                                                                                               
%prep
%setup -q

%build
%configure2_5x \
	--disable-splash-screen \
	--enable-bookmarks

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
%makeinstall iconpath=$RPM_BUILD_ROOT/%_datadir/pixmaps pkgdatadir=$RPM_BUILD_ROOT/%_datadir/%name gnome1menupath=$RPM_BUILD_ROOT/%_datadir/gnome/apps gnome2menupath=$RPM_BUILD_ROOT/%_datadir/applications

#mdk menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(bluefish): command="bluefish" icon="bluefish.png" needs="x11" title="BlueFish" longtitle="Web development studio" section="Internet/Web editors"
EOF


install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir} \
                  $RPM_BUILD_ROOT%{_miconsdir}
install -m 644 -D       inline_images/bluefish_icon1.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 inline_images/bluefish_icon1.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 inline_images/bluefish_icon1.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
 
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING README doc/*
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_menudir}/%name
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Mon Feb  9 2004 Olivier Blin <blino@mandrake.org> 0.12-3mdk
- fix Summary and menu section (move to Internet/Web editors)
- fix date in previous changelog entry

* Fri Jan 30 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.12-2mdk
- remove from Networking/WWW menu.

* Tue Nov 25 2003 Abel Cheung <deaddog@deaddog.org> 0.12-1mdk
- 0.12
- Use ImageMagick to convert icons
- BuildRequires fix for 64bit arch
- Turn on bookmark feature

* Fri Oct 31 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.11-4mdk
- disable annoying splash screen

* Fri Sep 05 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.11-3mdk
- fixup changelog.

* Tue Sep 02 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.11-2mdk
- new icons reported by John Keller <jkeller@matchbox.fr> ;)
- add bf in Applications/Editors section.

* Wed Jul 30 2003 Austin Acton <aacton@yorku.ca> 0.11-1mdk
- 0.11
- remove patch (merged u/s)
- hack the install a bit

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9-2mdk
- rebuild

* Tue Feb 25 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.9-1mdk
- new release

* Mon Dec 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8-2mdk
- from Austin Acton <aacton@yorku.ca> :
	- fix icons install

* Fri Dec 20 2002 Austin Acton <aacton@yorku.ca> 0.8-1mdk
- bump to gtk2 version

* Thu Mar  7 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.7-2mdk
- view with Netscape -> view with Mozilla, convert icon to png

* Fri Dec 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7-1mdk
- The shiny 0.7.

* Mon Oct 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6-4mdk
- Rebuild for the new libpng3.

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6-3mdk
- Sanity build for 8.1.

* Sat Apr 21 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6-2mdk
- Fix the build (Problem originally discovered on mdk.alphadriven.org).

* Sun Dec 24 2000  Daouda Lo <daouda@mandrakesoft.com> 0.6-1mdk
- release 
- patch should be applied with -p1 
- more translations (br, hu, pl)
- many bug fixes 

* Mon Nov 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5-8mdk
- gtk+-devel ! gtk+ for buildrequires (isuck).

* Mon Nov 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5-7mdk
- add gtk+ as buildrequires as asked by Dadou.

* Sat Oct 07 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5-6mdk
- fix icons

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 0.5-5mdk
- Use optimizations
- Fix Summary and Description
- Fix group and menu entry

* Tue Sep 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5-4mdk
- shrink the icon.

* Fri Aug 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-3mdk
- fix menu entry (reported by Guillaume Rousse)
- update menu entry version

* Thu Aug 24 2000 Götz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- uses find_lang for locale files
- moved configure call to build section
- fixed english locale file

* Thu Aug 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5-1mdk
- _menudir.
- update menus and clean menus macro.
- a very new and shiny version.

* Tue Aug 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-2mdk
- BM
- macros

* Tue May 16 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- fix install of pixmaps
- used srpm provided by Geoffrey Lee <snailtalk@linux-mandrake.com>

* Fri Apr 28 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.3.6-2mdk
- minor change to description, the best html editor is cat and ^D ;-)
- URL for it
- add url for source
- change location of file, stuff shouldn't go in /usr/local

* Wed Apr 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3.6-1mdk
- release.
- SMP build check.
- package should be relocatable
- add menu entry with icon.

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-2mdk 
- fix group

* Tue Sep  7 1999 Daouda LO <daouda@mandrakesoft.com> 0.3.2-1mdk
- First spec file for Mandrake distribution.
-Mandrake Adaptations
